/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.shared.model;

import java.io.Serializable;

public class DataCageTree implements Serializable {

    private static final long serialVersionUID = 1L;

    public interface Visitor {
        boolean accept(DataCageNode node);
    }

    private DataCageNode root;

    public DataCageTree() {
    }

    public DataCageTree(final DataCageNode root) {
        this.root = root;
    }

    public void setRoot(final DataCageNode root) {
        this.root = root;
    }

    public DataCageNode getRoot() {
        return this.root;
    }
}